using System;
using System.Collections;
using System.ComponentModel;
using System.Configuration.Install;
using System.IO;

namespace SetupProcessor
{
	/// <summary>
	/// SetupControl 的摘要说明。
	/// </summary>
	[RunInstaller(true)]
	public class SetupControl : System.Configuration.Install.Installer
	{
		/// <summary>
		/// 必需的设计器变量。
		/// </summary>
		private System.ComponentModel.Container components = null;

		public SetupControl()
		{
			// 该调用是设计器所必需的。
			InitializeComponent();

			// TODO: 在 InitializeComponent 调用后添加任何初始化
		}

		/// <summary> 
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}
		public override void Install(IDictionary stateSaver)
		{
			base.Install (stateSaver);
			string p=Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly().Location);
			DirectoryInfo dir=new DirectoryInfo(p);
			Config.ConfigFile config=new Config.ConfigFile(Path.Combine(p,@"HISClinic.exe.config"));
			config.ChangePath("HISClinic",dir.Parent.FullName);
			
		}


		#region 组件设计器生成的代码
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			components = new System.ComponentModel.Container();
		}
		#endregion
	}
}
